package com.adaptrex.sandbox.pages;

import javax.inject.Inject;

import org.apache.tapestry5.EventContext;
import org.apache.tapestry5.annotations.Property;
import org.apache.tapestry5.services.HttpError;

import com.adaptrex.core.AdaptrexProperties;
import com.adaptrex.sandbox.services.IAdaptrexService;

public class Index {

	@Property String version;
	@Inject IAdaptrexService adaptrexService;
	
	void setupRender() {
		this.version = adaptrexService.adaptrex().getProperties().get(AdaptrexProperties.ADAPTREX_VERSION);
	}
	
	/*
	 * Tapestry redirects 404's home.  We can use an empty context
	 * to determine that we have a 404 redirect and notify accordingly
	 */
	Object onActivate(EventContext context) { 
	       if (context.getCount() == 0) return null; 
	      return new HttpError(404, "Resource not found."); 
	} 
}
